# Generated by rust2rpm 13
%bcond_without check
# No devel stuff in released Fedora
%global __cargo_skip_build 0
%global __cargo_is_lib() false

# (MIT or ASL 2.0) and BSD
# ASL 2.0
# BSD
# BSD and ISC
# MIT
# MIT or ASL 2.0
# Unlicense or MIT
# zlib
%global binary_license BSD and ASL 2.0 and ISC and MIT and zlib

%global crate rav1e

Name:           rust-%{crate}
Version:        0.3.3
Release:        2%{?dist}.1
Summary:        Fastest and safest AV1 encoder

# Upstream license specification: BSD-2-Clause
# src/ext/x86/x86inc.asm is under ISC, https://github.com/xiph/rav1e/issues/2181
License:        BSD and ISC
URL:            https://crates.io/crates/rav1e
Source:         %{crates_source}
# Initial patched metadata
# * Bump y4m to 0.6, https://github.com/xiph/rav1e/pull/2321/files
# * Remove fuzzing dependencies
Patch0:         rav1e-fix-metadata.diff
Patch1:         0001-Update-the-y4m-dependency.patch
Patch2:         0002-Avoid-some-indirection-now-that-we-can-directly-stor.patch

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging

%global _description %{expand:
Fastest and safest AV1 encoder.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
License:        %{binary_license}

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE PATENTS
%doc README.md
%{_bindir}/rav1e

%package     -n %{crate}-libs
Summary:        Library files for rav1e
License:        %{binary_license}

%description -n %{crate}-libs
Library files for rav1e, the fastest and safest AV1 encoder.

%files       -n %{crate}-libs
%license LICENSE PATENTS
%{_libdir}/librav1e.so.0*

%package     -n %{crate}-devel
Summary:        Development files for rav1e
Requires:       %{crate}-libs%{?_isa} = %{version}-%{release}

%description -n %{crate}-devel
Development files for rav1e, the fastest and safest AV1 encoder.

%files       -n %{crate}-devel
%{_includedir}/rav1e/
%{_libdir}/librav1e.so
%{_libdir}/pkgconfig/rav1e.pc

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
# We need optional dependencies for cargo-c to build
%cargo_generate_buildrequires -a
echo "cargo-c"

%build
%cargo_build
cargo cbuild --release \
    --destdir=%{buildroot} \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --includedir=%{_includedir} \
    --pkgconfigdir=%{_libdir}/pkgconfig

%install
%cargo_install
cargo cinstall --release \
    --destdir=%{buildroot} \
    --prefix=%{_prefix} \
    --libdir=%{_libdir} \
    --includedir=%{_includedir} \
    --pkgconfigdir=%{_libdir}/pkgconfig
rm -v %{buildroot}%{_libdir}/librav1e.a

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Sun Aug 23 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.3.3-2.1
- Rebuild

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.3.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Thu Jun 11 2020 Josh Stone <jistone@redhat.com> - 0.3.3-1
- Update to 0.3.3

* Mon Mar 09 17:45:25 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.1-2
- Fix pkgconfig prefix path

* Thu Feb 20 21:15:47 CET 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 0.3.1-1
- Update to 0.3.1

* Tue Feb 11 01:28:07 CET 2020 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Initial package
